TaxonomyJobUtil (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.job

## Class TaxonomyJobUtil

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.job.TaxonomyJobUtil

-     public class TaxonomyJobUtil
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPLETED`
    `static String` | `FAILED`
    `protected static org.apache.log4j.Logger` | `logger`
    `static String` | `PENDING`
    `static String` | `RUNNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyJobUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `changeStatusTaxonomyJobById(String jobIdentifier, DownloadState state, TaxonomyJobPersistence taxonomyJobDAO)`
    `static JobTaxonomyModel` | `convertJob(TaxonomyJob job, org.gcube.data.spd.stubs.types.Status statusResponse, TaxonomyJobPersistence speciesJobDao)`
    `static int` | `deleteTaxonomyJobById(String jobIdentifier, TaxonomyJobPersistence taxonomyJobDao)`
    `static DownloadState` | `getDownloadState(String status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPLETED

          public static final String COMPLETED

      See Also:
        Constant Field Values

    - #### FAILED

          public static final String FAILED

      See Also:
        Constant Field Values

    - #### RUNNING

          public static final String RUNNING

      See Also:
        Constant Field Values

    - #### PENDING

          public static final String PENDING

      See Also:
        Constant Field Values

    - #### logger

          protected static org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### TaxonomyJobUtil

          public TaxonomyJobUtil()

  - ### Method Detail

    - #### convertJob

          public static JobTaxonomyModel convertJob(TaxonomyJob job,
                                    org.gcube.data.spd.stubs.types.Status statusResponse,
                                    TaxonomyJobPersistence speciesJobDao)
                                             throws SQLException

      Throws:
        `SQLException`

    - #### getDownloadState

          public static DownloadState getDownloadState(String status)

    - #### deleteTaxonomyJobById

          public static int deleteTaxonomyJobById(String jobIdentifier,
                                  TaxonomyJobPersistence taxonomyJobDao)
                                           throws SQLException

      Throws:
        `SQLException`

    - #### changeStatusTaxonomyJobById

          public static int changeStatusTaxonomyJobById(String jobIdentifier,
                                        DownloadState state,
                                        TaxonomyJobPersistence taxonomyJobDAO)

Copyright © 2013. All Rights Reserved.